Subject: RE: [ipcdn] draft-ietf-ipcdn-pktc-mtamib-05 - SMI questionforpktcMtaDevErrorsTooManyErrors

From: "Jean-Francois Mule" <[email-masked]>
Date: Fri, 21 Jan 2005 10:12:03 -0700

Hi Randy,
As usual, thanks for your good comments. See inline.
Jean-François 

Randy wrote:
> >           file was interpreted by the MTA as being .1.2.3.4.5, and
> 
> Please get rid of the leading "."
Corrected, sorry. My global search on leading zeros for OIDs missed that one.

> ...
> > |         If the numbers of errors in the configuration file exceeds
> > |         1024, then for all subsequent errors, the
> > |         pktcMtaDevErrorOid of 1024th table's entry MUST contain
> 
> you mean "of the table's 1024th entry"
Yes. Grammar corrected everywhere, thanks for catching this.

> > |         a human readable representation of the
> > |         pktcMtaDevErrorsTooManyErrors object, i.e. the string
> > |          '1.3.6.1.2.1.XXX.1.1.4.1.0'.
> 
> ...
> > |         pktcMtaDevErrorValue of 1024th table's entry MUST contain
> 
> again "of the table's 1024th entry"
Yes. Corrected.

> > |         pktcMtaDevErrorReason of 1024th table's entry must contain
> 
> ditto
Yes. Corrected.

> > | pktcMtaDevErrorsTooManyErrors OBJECT-IDENTITY
> > --                              ^^^^^^^^^^^^^^^
> ...
> > Question:
> > Since this definition uses OBJECT-IDENTITY instead of 
> OBJECT-TYPE,  we 
> > cannot use it in the MODULE-COMPLIANCE, hence cannot 
> formerly mandate 
> > that vendors support it (other than in the DESCRIPTION clause of 
> > pktcMtaDevErrorOid. Is this the best way we can do this in SMI?
> 
> 
> The MUST in the DESCRIPTION clause of pktcMtaDevErrorOid is 
> pretty definitive.  If the condition can occur in an 
> implementation, and that implementation does not use that 
> value, then that implementation is not conformant.
Good, that is the intent and we wanted to make sure that other readers would draw that conclusion as well. 

> > Should we use something else?
> ...
> 
> If the data type were, for example, an integer type, then one 
> could use the SYNTAX clause within the OBJECT clause to 
> specify in the conformance material that the value was 
> absolutely required. There's no way that I know of to do that 
> with OBJECT IDENTIFIERs.
> 
> However, the MUST in the DESCRIPTION clause of the object 
> leaves no wiggle room that I can see, so I wouldn't worry about it.
Agreed, no change required.

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn